package com.ejie.p06b.datatype.model;

import java.io.Serializable;

/**
 * Fecha de creación: (05/07/2010)
 */
public class P06B37T00Datatype implements Serializable {
		
	private String ejercicio = "";
	private String numExp = "";
	private String volTotCodEnt = "";
	private String volTotExtAux = "";
	private String volTotExtOtros = "";
	private String volTotPrimCobr = "";
	private String nuevaCodEnt = "";
	private String nuevaExtAux = "";
	private String nuevaExtOtros = "";
	private String nuevaPrimCobr = "";
	
	//Nuevos cambios por decreto del 12 de junio del 2010
	private String voltotPrimcobrInmed = "";
	private String voltotPrimcobrNoInmed = "";
	private String nuevaPrimcobrInmed = "";
	private String nuevaPrimcobrNoInmed = "";
	
	
		
	/**
	 * @return Returns the ejercicio.
	 */
	public String getEjercicio() {
		return ejercicio;
	}
	/**
	 * @param ejercicio The ejercicio to set.
	 */
	public void setEjercicio(String ejercicio) {
		this.ejercicio = ejercicio;
	}
	
	/**
	 * @return Returns the numExp.
	 */
	public String getNumExp() {
		return numExp;
	}
	/**
	 * @param numExp The numExp to set.
	 */
	public void setNumExp(String numExp) {
		this.numExp = numExp;
	}
	
	/**
	 * @return Returns the volTotCodEnt.
	 */
	public String getVolTotCodEnt() {
		return volTotCodEnt;
	}
	/**
	 * @param volTotCodEnt The volTotCodEnt to set.
	 */
	public void setVolTotCodEnt(String volTotCodEnt) {
		this.volTotCodEnt = volTotCodEnt;
	}
	
	/**
	 * @return Returns the volTotExtAux.
	 */
	public String getVolTotExtAux() {
		return volTotExtAux;
	}
	/**
	 * @param volTotExtAux The volTotExtAux to set.
	 */
	public void setVolTotExtAux(String volTotExtAux) {
		this.volTotExtAux = volTotExtAux;
	}
	
	/**
	 * @return Returns the volTotExtOtros.
	 */
	public String getVolTotExtOtros() {
		return volTotExtOtros;
	}
	/**
	 * @param volTotExtOtros The volTotExtOtros to set.
	 */
	public void setVolTotExtOtros(String volTotExtOtros) {
		this.volTotExtOtros = volTotExtOtros;
	}
	
	/**
	 * @return Returns the volTotPrimCobr.
	 */
	public String getVolTotPrimCobr() {
		return volTotPrimCobr;
	}
	/**
	 * @param volTotPrimCobr The volTotPrimCobr to set.
	 */
	public void setVolTotPrimCobr(String volTotPrimCobr) {
		this.volTotPrimCobr = volTotPrimCobr;
	}
	
	/**
	 * @return Returns the nuevaCodEnt.
	 */
	public String getNuevaCodEnt() {
		return nuevaCodEnt;
	}
	/**
	 * @param nuevaCodEnt The nuevaCodEnt to set.
	 */
	public void setNuevaCodEnt(String nuevaCodEnt) {
		this.nuevaCodEnt = nuevaCodEnt;
	}
	
	/**
	 * @return Returns the nuevaExtAux.
	 */
	public String getNuevaExtAux() {
		return nuevaExtAux;
	}
	/**
	 * @param nuevaExtAux The nuevaExtAux to set.
	 */
	public void setNuevaExtAux(String nuevaExtAux) {
		this.nuevaExtAux = nuevaExtAux;
	}
	
	/**
	 * @return Returns the nuevaExtOtros.
	 */
	public String getNuevaExtOtros() {
		return nuevaExtOtros;
	}
	/**
	 * @param nuevaExtOtros The nuevaExtOtros to set.
	 */
	public void setNuevaExtOtros(String nuevaExtOtros) {
		this.nuevaExtOtros = nuevaExtOtros;
	}
	
	/**
	 * @return Returns the nuevaPrimCobr.
	 */
	public String getNuevaPrimCobr() {
		return nuevaPrimCobr;
	}
	/**
	 * @param nuevaPrimCobr The nuevaPrimCobr to set.
	 */
	public void setNuevaPrimCobr(String nuevaPrimCobr) {
		this.nuevaPrimCobr = nuevaPrimCobr;
	}
	
	/**
	 * @return Returns the voltotPrimcobrInmed.
	 */
	public String getVoltotPrimcobrInmed() {
		return voltotPrimcobrInmed;
	}
	/**
	 * @param voltotPrimcobrInmed The voltotPrimcobrInmed to set.
	 */
	public void setVoltotPrimcobrInmed(String voltotPrimcobrInmed) {
		this.voltotPrimcobrInmed = voltotPrimcobrInmed;
	}

	/**
	 * @return Returns the voltotPrimcobrNoInmed.
	 */
	public String getVoltotPrimcobrNoInmed() {
		return voltotPrimcobrNoInmed;
	}
	/**
	 * @param voltotPrimcobrNoInmed The voltotPrimcobrNoInmed to set.
	 */
	public void setVoltotPrimcobrNoInmed(String voltotPrimcobrNoInmed) {
		this.voltotPrimcobrNoInmed = voltotPrimcobrNoInmed;
	}

	/**
	 * @return Returns the nuevaPrimcobrInmed.
	 */
	public String getNuevaPrimcobrInmed() {
		return nuevaPrimcobrInmed;
	}
	/**
	 * @param nuevaPrimcobrInmed The nuevaPrimcobrInmed to set.
	 */
	public void setNuevaPrimcobrInmed(String nuevaPrimcobrInmed) {
		this.nuevaPrimcobrInmed = nuevaPrimcobrInmed;
	}

	/**
	 * @return Returns the nuevaPrimcobrNoInmed.
	 */
	public String getNuevaPrimcobrNoInmed() {
		return nuevaPrimcobrNoInmed;
	}
	/**
	 * @param nuevaPrimcobrNoInmed The nuevaPrimcobrNoInmed to set.
	 */
	public void setNuevaPrimcobrNoInmed(String nuevaPrimcobrNoInmed) {
		this.nuevaPrimcobrNoInmed = nuevaPrimcobrNoInmed;
	}
	

	
	public String toString(){
		StringBuffer textoImprimir = new StringBuffer();
		textoImprimir.append("Ejercicio: ");
		textoImprimir.append(ejercicio);
		textoImprimir.append("; NumExpediente: ");
		textoImprimir.append(numExp);
		textoImprimir.append("; VolTotCodEnt: ");
		textoImprimir.append(volTotCodEnt);
		textoImprimir.append("; VolTotExtAux: ");
		textoImprimir.append(volTotExtAux);
		textoImprimir.append("; VolTotExtOtros: ");
		textoImprimir.append(volTotExtOtros);
		textoImprimir.append("; VolTotPrimCobr: ");
		textoImprimir.append(volTotPrimCobr);
		textoImprimir.append("; NuevaCodEnt: ");
		textoImprimir.append(nuevaCodEnt);
		textoImprimir.append("; NuevaExtAux: ");
		textoImprimir.append(nuevaExtAux);
		textoImprimir.append("; NuevaExtOtros: ");
		textoImprimir.append(nuevaExtOtros);
		textoImprimir.append("; NuevaPrimCobr: ");
		textoImprimir.append(nuevaPrimCobr);
		textoImprimir.append("; voltotPrimcobrInmed: ");
		textoImprimir.append(voltotPrimcobrInmed);
		textoImprimir.append("; voltotPrimcobrNoInmed: ");
		textoImprimir.append(voltotPrimcobrNoInmed);
		textoImprimir.append("; nuevaPrimcobrInmed: ");
		textoImprimir.append(nuevaPrimcobrInmed);
		textoImprimir.append("; nuevaPrimcobrNoInmed: ");
		textoImprimir.append(nuevaPrimcobrNoInmed);
				
		return textoImprimir.toString();
	}
	

	
}
